ghc-7.0.3: The GHC API

TcBinds

# Documentation

tcLocalBinds :: HsLocalBinds Name -> TcM thing -> TcM (HsLocalBinds TcId, thing)Source

tcTopBinds :: HsValBinds Name -> TcM (LHsBinds TcId, [LTcSpecPrag], TcLclEnv)Source

tcHsBootSigs :: HsValBinds Name -> TcM [Id]Source

tcPolyBinds :: TopLevelFlag -> SigFun -> PragFun -> RecFlag -> RecFlag -> [LHsBind Name] -> TcM (LHsBinds TcId, [TcId])Source

type PragFun = Name -> [LSig Name]Source

tcSpecPrags :: Id -> [LSig Name] -> TcM [LTcSpecPrag]Source

mkPragFun :: [LSig Name] -> LHsBinds Name -> PragFun Source

data TcSigInfo Source

Constructors

TcSigInfo |

Fields

sig_id :: TcId
sig_scoped :: [Name]
sig_tvs :: [TcTyVar]
sig_theta :: TcThetaType
sig_tau :: TcSigmaType
sig_loc :: SrcSpan

Instances

Outputable TcSigInfo |

type SigFun = Name -> Maybe ([Name], SrcSpan)Source

mkSigFun :: [LSig Name] -> SigFun Source

badBootDeclErr :: Message Source